<html>
<head>
<title>OGRE: Ogre::CompositionTargetPass Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a></div>
<h1>Ogre::CompositionTargetPass Class Reference</h1><!-- doxytag: class="Ogre::CompositionTargetPass" -->Object representing one render to a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> or <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> in the <a class="el" href="namespaceOgre.html">Ogre</a> Composition framework.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositionTargetPass-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> { <a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f45329497eecad4dbc7cc768152365585fa9fe6">IM_NONE</a>, 
<a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294412bc35d7930bd2101ea4d0a5a760611">IM_PREVIOUS</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Input mode of a TargetPass.  <a href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#dde9a7cf6d9cf64e1ad3115f25625748">Passes</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1CompositionTargetPass.html#dde9a7cf6d9cf64e1ad3115f25625748">Passes</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#1b8ac16663ae6c9fc06c80159f87d51b">PassIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#612ca8c0c7b29fe33def25042b933622">CompositionTargetPass</a> (<a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *parent)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#9906c9ece49a038ff4996ff461238dd4">~CompositionTargetPass</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#bf1c9cf0c11f8f440bfb1103b6c1349a">setInputMode</a> (<a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> mode)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set input mode of this TargetPass.  <a href="#bf1c9cf0c11f8f440bfb1103b6c1349a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b8fc3fb7227c25c749550449061759b9">getInputMode</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get input mode.  <a href="#b8fc3fb7227c25c749550449061759b9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#c9a67dacd9d95d9f91fdb9437b07d758">setOutputName</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;out)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set output local texture name.  <a href="#c9a67dacd9d95d9f91fdb9437b07d758"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#c68f5ea35754442ca419ba3adc5fcde2">getOutputName</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get output local texture name.  <a href="#c68f5ea35754442ca419ba3adc5fcde2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a4113fff3ebd783e8ead645321cb7322">setOnlyInitial</a> (bool value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set "only initial" flag.  <a href="#a4113fff3ebd783e8ead645321cb7322"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b966f6bbb58d0d0a09c478fa20ded7c4">getOnlyInitial</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get "only initial" flag.  <a href="#b966f6bbb58d0d0a09c478fa20ded7c4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#5f741ec104a602e81d3f9b5f01ae2d4c">setVisibilityMask</a> (<a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the scene visiblity mask used by this pass.  <a href="#5f741ec104a602e81d3f9b5f01ae2d4c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ae200cd1a0e12a84df5355f08ee06995">getVisibilityMask</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the scene visiblity mask used by this pass.  <a href="#ae200cd1a0e12a84df5355f08ee06995"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#3f57dcb06d3d764e4fe532be89e6f350">setMaterialScheme</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;schemeName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the material scheme used by this target pass.  <a href="#3f57dcb06d3d764e4fe532be89e6f350"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#d1ec75974ebb9d6795f876e01822f3e3">getMaterialScheme</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the material scheme used by this target pass.  <a href="#d1ec75974ebb9d6795f876e01822f3e3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#0a4ee56a29f0aa2ec2131ed9bdda9f4b">setShadowsEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set whether shadows are enabled in this target pass.  <a href="#0a4ee56a29f0aa2ec2131ed9bdda9f4b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ba75b186f14921fced9e4f80a2e0e186">getShadowsEnabled</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get whether shadows are enabled in this target pass.  <a href="#ba75b186f14921fced9e4f80a2e0e186"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ff86d6761429799b8bb58e44962f2a0f">setLodBias</a> (float bias)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the scene LOD bias used by this pass.  <a href="#ff86d6761429799b8bb58e44962f2a0f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#77a7e3bada28e04c2498aff78886d8b8">getLodBias</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the scene LOD bias used by this pass.  <a href="#77a7e3bada28e04c2498aff78886d8b8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#7eb0dfa68069759225458c041358505e">createPass</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new pass, and return a pointer to it.  <a href="#7eb0dfa68069759225458c041358505e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#211bcd76961f116969bbc4b1a5d7562d">removePass</a> (size_t idx)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a pass.  <a href="#211bcd76961f116969bbc4b1a5d7562d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#16f32593b58adba4a5c2477a976df869">getPass</a> (size_t idx)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a pass.  <a href="#16f32593b58adba4a5c2477a976df869"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#9dc0b04a179dd54ca7d444d4bd1c2010">getNumPasses</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of passes.  <a href="#9dc0b04a179dd54ca7d444d4bd1c2010"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#0e3250aafe830419fcf6ec9c2a925e6e">removeAllPasses</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove all passes.  <a href="#0e3250aafe830419fcf6ec9c2a925e6e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">PassIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#81f81638ed902707871edaa54d570e3c">getPassIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the Passes in this TargetPass.  <a href="#81f81638ed902707871edaa54d570e3c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a1a330d0d35f731d94fa885a04f73caf">getParent</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get parent object.  <a href="#a1a330d0d35f731d94fa885a04f73caf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#5e1075c8f2a3c9cfaed6f65a9ea55334">_isSupported</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine if this target pass is supported on the current rendering device.  <a href="#5e1075c8f2a3c9cfaed6f65a9ea55334"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#59453821f88399703dae5e7ced4c47bd">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parent technique.  <a href="#59453821f88399703dae5e7ced4c47bd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#459ee451d7916398cca6bc300b0ac7c6">mInputMode</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Input name.  <a href="#459ee451d7916398cca6bc300b0ac7c6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#6ff0106b3d9aaaccf9f4a76885cdbbf2">mOutputName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">(local) output texture  <a href="#6ff0106b3d9aaaccf9f4a76885cdbbf2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html#dde9a7cf6d9cf64e1ad3115f25625748">Passes</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#2f52450762b8bebd7d1154fd4f840456">mPasses</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Passes.  <a href="#2f52450762b8bebd7d1154fd4f840456"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#7d4c5bd17e2e323f1d0d1ef267f8fd61">mOnlyInitial</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This target pass is only executed initially after the effect has been enabled.  <a href="#7d4c5bd17e2e323f1d0d1ef267f8fd61"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#191a14c4f7e8b5c55b6af2b6711d0810">mVisibilityMask</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Visibility mask for this render.  <a href="#191a14c4f7e8b5c55b6af2b6711d0810"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#4ce2db808cd0fdfffbe1711e2160bfc5">mLodBias</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">LOD bias of this render.  <a href="#4ce2db808cd0fdfffbe1711e2160bfc5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#bd072b22313d02b789cf35c82e38b811">mMaterialScheme</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> scheme name.  <a href="#bd072b22313d02b789cf35c82e38b811"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#7562d96ff4c451bf72ce604f11623906">mShadowsEnabled</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shadows option.  <a href="#7562d96ff4c451bf72ce604f11623906"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Object representing one render to a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> or <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> in the <a class="el" href="namespaceOgre.html">Ogre</a> Composition framework. 
<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00039">39</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="dde9a7cf6d9cf64e1ad3115f25625748"></a><!-- doxytag: member="Ogre::CompositionTargetPass::Passes" ref="dde9a7cf6d9cf64e1ad3115f25625748" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&gt; <a class="el" href="classOgre_1_1CompositionTargetPass.html#dde9a7cf6d9cf64e1ad3115f25625748">Ogre::CompositionTargetPass::Passes</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00052">52</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1b8ac16663ae6c9fc06c80159f87d51b"></a><!-- doxytag: member="Ogre::CompositionTargetPass::PassIterator" ref="1b8ac16663ae6c9fc06c80159f87d51b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositionTargetPass.html#dde9a7cf6d9cf64e1ad3115f25625748">Passes</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::CompositionTargetPass::PassIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00053">53</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="b2b5ca61fda0a8dfdba1e3447f453294"></a><!-- doxytag: member="Ogre::CompositionTargetPass::InputMode" ref="b2b5ca61fda0a8dfdba1e3447f453294" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">Ogre::CompositionTargetPass::InputMode</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Input mode of a TargetPass. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="b2b5ca61fda0a8dfdba1e3447f45329497eecad4dbc7cc768152365585fa9fe6"></a><!-- doxytag: member="IM_NONE" ref="b2b5ca61fda0a8dfdba1e3447f45329497eecad4dbc7cc768152365585fa9fe6" args="" -->IM_NONE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="b2b5ca61fda0a8dfdba1e3447f453294412bc35d7930bd2101ea4d0a5a760611"></a><!-- doxytag: member="IM_PREVIOUS" ref="b2b5ca61fda0a8dfdba1e3447f453294412bc35d7930bd2101ea4d0a5a760611" args="" -->IM_PREVIOUS</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00047">47</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="612ca8c0c7b29fe33def25042b933622"></a><!-- doxytag: member="Ogre::CompositionTargetPass::CompositionTargetPass" ref="612ca8c0c7b29fe33def25042b933622" args="(CompositionTechnique *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositionTargetPass::CompositionTargetPass           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9906c9ece49a038ff4996ff461238dd4"></a><!-- doxytag: member="Ogre::CompositionTargetPass::~CompositionTargetPass" ref="9906c9ece49a038ff4996ff461238dd4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositionTargetPass::~CompositionTargetPass           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="bf1c9cf0c11f8f440bfb1103b6c1349a"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setInputMode" ref="bf1c9cf0c11f8f440bfb1103b6c1349a" args="(InputMode mode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::setInputMode           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a>&nbsp;</td>
          <td class="paramname"> <em>mode</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set input mode of this TargetPass. 
<p>

</div>
</div><p>
<a class="anchor" name="b8fc3fb7227c25c749550449061759b9"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getInputMode" ref="b8fc3fb7227c25c749550449061759b9" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> Ogre::CompositionTargetPass::getInputMode           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get input mode. 
<p>

</div>
</div><p>
<a class="anchor" name="c9a67dacd9d95d9f91fdb9437b07d758"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setOutputName" ref="c9a67dacd9d95d9f91fdb9437b07d758" args="(const String &amp;out)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::setOutputName           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>out</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set output local texture name. 
<p>

</div>
</div><p>
<a class="anchor" name="c68f5ea35754442ca419ba3adc5fcde2"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getOutputName" ref="c68f5ea35754442ca419ba3adc5fcde2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::CompositionTargetPass::getOutputName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get output local texture name. 
<p>

</div>
</div><p>
<a class="anchor" name="a4113fff3ebd783e8ead645321cb7322"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setOnlyInitial" ref="a4113fff3ebd783e8ead645321cb7322" args="(bool value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::setOnlyInitial           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set "only initial" flag. 
<p>
This makes that this target pass is only executed initially after the effect has been enabled. 
</div>
</div><p>
<a class="anchor" name="b966f6bbb58d0d0a09c478fa20ded7c4"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getOnlyInitial" ref="b966f6bbb58d0d0a09c478fa20ded7c4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CompositionTargetPass::getOnlyInitial           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get "only initial" flag. 
<p>

</div>
</div><p>
<a class="anchor" name="5f741ec104a602e81d3f9b5f01ae2d4c"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setVisibilityMask" ref="5f741ec104a602e81d3f9b5f01ae2d4c" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::setVisibilityMask           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td>
          <td class="paramname"> <em>mask</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the scene visiblity mask used by this pass. 
<p>

</div>
</div><p>
<a class="anchor" name="ae200cd1a0e12a84df5355f08ee06995"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getVisibilityMask" ref="ae200cd1a0e12a84df5355f08ee06995" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> Ogre::CompositionTargetPass::getVisibilityMask           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the scene visiblity mask used by this pass. 
<p>

</div>
</div><p>
<a class="anchor" name="3f57dcb06d3d764e4fe532be89e6f350"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setMaterialScheme" ref="3f57dcb06d3d764e4fe532be89e6f350" args="(const String &amp;schemeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::setMaterialScheme           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>schemeName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the material scheme used by this target pass. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd>Technique::setScheme. </dd></dl>

</div>
</div><p>
<a class="anchor" name="d1ec75974ebb9d6795f876e01822f3e3"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getMaterialScheme" ref="d1ec75974ebb9d6795f876e01822f3e3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::CompositionTargetPass::getMaterialScheme           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the material scheme used by this target pass. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd>Technique::setScheme. </dd></dl>

</div>
</div><p>
<a class="anchor" name="0a4ee56a29f0aa2ec2131ed9bdda9f4b"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setShadowsEnabled" ref="0a4ee56a29f0aa2ec2131ed9bdda9f4b" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::setShadowsEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set whether shadows are enabled in this target pass. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>

</div>
</div><p>
<a class="anchor" name="ba75b186f14921fced9e4f80a2e0e186"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getShadowsEnabled" ref="ba75b186f14921fced9e4f80a2e0e186" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CompositionTargetPass::getShadowsEnabled           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get whether shadows are enabled in this target pass. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>

</div>
</div><p>
<a class="anchor" name="ff86d6761429799b8bb58e44962f2a0f"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setLodBias" ref="ff86d6761429799b8bb58e44962f2a0f" args="(float bias)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::setLodBias           </td>
          <td>(</td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>bias</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the scene LOD bias used by this pass. 
<p>
The default is 1.0, everything below that means lower quality, higher means higher quality. 
</div>
</div><p>
<a class="anchor" name="77a7e3bada28e04c2498aff78886d8b8"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getLodBias" ref="77a7e3bada28e04c2498aff78886d8b8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Ogre::CompositionTargetPass::getLodBias           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the scene LOD bias used by this pass. 
<p>

</div>
</div><p>
<a class="anchor" name="7eb0dfa68069759225458c041358505e"></a><!-- doxytag: member="Ogre::CompositionTargetPass::createPass" ref="7eb0dfa68069759225458c041358505e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a>* Ogre::CompositionTargetPass::createPass           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new pass, and return a pointer to it. 
<p>

</div>
</div><p>
<a class="anchor" name="211bcd76961f116969bbc4b1a5d7562d"></a><!-- doxytag: member="Ogre::CompositionTargetPass::removePass" ref="211bcd76961f116969bbc4b1a5d7562d" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::removePass           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>idx</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a pass. 
<p>
It will also be destroyed. 
</div>
</div><p>
<a class="anchor" name="16f32593b58adba4a5c2477a976df869"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getPass" ref="16f32593b58adba4a5c2477a976df869" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a>* Ogre::CompositionTargetPass::getPass           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>idx</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a pass. 
<p>

</div>
</div><p>
<a class="anchor" name="9dc0b04a179dd54ca7d444d4bd1c2010"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getNumPasses" ref="9dc0b04a179dd54ca7d444d4bd1c2010" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::CompositionTargetPass::getNumPasses           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of passes. 
<p>

</div>
</div><p>
<a class="anchor" name="0e3250aafe830419fcf6ec9c2a925e6e"></a><!-- doxytag: member="Ogre::CompositionTargetPass::removeAllPasses" ref="0e3250aafe830419fcf6ec9c2a925e6e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositionTargetPass::removeAllPasses           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove all passes. 
<p>

</div>
</div><p>
<a class="anchor" name="81f81638ed902707871edaa54d570e3c"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getPassIterator" ref="81f81638ed902707871edaa54d570e3c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">PassIterator</a> Ogre::CompositionTargetPass::getPassIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the Passes in this TargetPass. 
<p>

</div>
</div><p>
<a class="anchor" name="a1a330d0d35f731d94fa885a04f73caf"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getParent" ref="a1a330d0d35f731d94fa885a04f73caf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>* Ogre::CompositionTargetPass::getParent           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get parent object. 
<p>

</div>
</div><p>
<a class="anchor" name="5e1075c8f2a3c9cfaed6f65a9ea55334"></a><!-- doxytag: member="Ogre::CompositionTargetPass::_isSupported" ref="5e1075c8f2a3c9cfaed6f65a9ea55334" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::CompositionTargetPass::_isSupported           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine if this target pass is supported on the current rendering device. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="59453821f88399703dae5e7ced4c47bd"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mParent" ref="59453821f88399703dae5e7ced4c47bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>* <a class="el" href="classOgre_1_1CompositionTargetPass.html#59453821f88399703dae5e7ced4c47bd">Ogre::CompositionTargetPass::mParent</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parent technique. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00145">145</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="459ee451d7916398cca6bc300b0ac7c6"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mInputMode" ref="459ee451d7916398cca6bc300b0ac7c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#b2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#459ee451d7916398cca6bc300b0ac7c6">Ogre::CompositionTargetPass::mInputMode</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Input name. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00147">147</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6ff0106b3d9aaaccf9f4a76885cdbbf2"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mOutputName" ref="6ff0106b3d9aaaccf9f4a76885cdbbf2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#6ff0106b3d9aaaccf9f4a76885cdbbf2">Ogre::CompositionTargetPass::mOutputName</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
(local) output texture 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00149">149</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2f52450762b8bebd7d1154fd4f840456"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mPasses" ref="2f52450762b8bebd7d1154fd4f840456" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#dde9a7cf6d9cf64e1ad3115f25625748">Passes</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#2f52450762b8bebd7d1154fd4f840456">Ogre::CompositionTargetPass::mPasses</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Passes. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00151">151</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d4c5bd17e2e323f1d0d1ef267f8fd61"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mOnlyInitial" ref="7d4c5bd17e2e323f1d0d1ef267f8fd61" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTargetPass.html#7d4c5bd17e2e323f1d0d1ef267f8fd61">Ogre::CompositionTargetPass::mOnlyInitial</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This target pass is only executed initially after the effect has been enabled. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00154">154</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="191a14c4f7e8b5c55b6af2b6711d0810"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mVisibilityMask" ref="191a14c4f7e8b5c55b6af2b6711d0810" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#191a14c4f7e8b5c55b6af2b6711d0810">Ogre::CompositionTargetPass::mVisibilityMask</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Visibility mask for this render. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00156">156</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4ce2db808cd0fdfffbe1711e2160bfc5"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mLodBias" ref="4ce2db808cd0fdfffbe1711e2160bfc5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositionTargetPass.html#4ce2db808cd0fdfffbe1711e2160bfc5">Ogre::CompositionTargetPass::mLodBias</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
LOD bias of this render. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00158">158</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bd072b22313d02b789cf35c82e38b811"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mMaterialScheme" ref="bd072b22313d02b789cf35c82e38b811" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#bd072b22313d02b789cf35c82e38b811">Ogre::CompositionTargetPass::mMaterialScheme</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> scheme name. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00160">160</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7562d96ff4c451bf72ce604f11623906"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mShadowsEnabled" ref="7562d96ff4c451bf72ce604f11623906" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTargetPass.html#7562d96ff4c451bf72ce604f11623906">Ogre::CompositionTargetPass::mShadowsEnabled</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Shadows option. 
<p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h-source.html#l00162">162</a> of file <a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionTargetPass_8h-source.html">OgreCompositionTargetPass.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:22 2008
</p>
</body>
</html>
